# Repzo API - Brand

OpenAPI specification for Repzo Brand endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/product-brand`

#### GET /product-brand

**Summary:** Find brands

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering brands |

##### Responses

**200** - A list of brands

Content-Type: `application/json`

---

#### POST /product-brand

**Summary:** Create a brand

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Brand created

Content-Type: `application/json`

---

### `/product-brand/{id}`

#### GET /product-brand/{id}

**Summary:** Get a brand by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Brand details

Content-Type: `application/json`

---

#### PUT /product-brand/{id}

**Summary:** Update a brand

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Brand updated

Content-Type: `application/json`

---

#### DELETE /product-brand/{id}

**Summary:** Remove a brand

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Brand removed

Content-Type: `application/json`

---

## Data Models

### BrandFindResult

Result of finding brands

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `total_result` | number | No | Total number of brands |

| `current_count` | number | No | Count of brands in current page |

| `total_pages` | number | No | Total number of pages |

| `current_page` | number | No | Current page number |

| `per_page` | number | No | Number of brands per page |

| `first_page_url` | string | No | URL for the first page |

| `last_page_url` | string | No | URL for the last page |

| `next_page_url` | string | No | URL for the next page |

| `prev_page_url` | string | No | URL for the previous page |

| `path` | string | No | Base URL path |

### BrandSchema

Brand schema

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | Unique identifier for the brand |

| `name` | string | No | Name of the brand |

| `local_name` | string | No | Localized name of the brand |

| `disabled` | boolean | No | Whether the brand is disabled |

| `integration_meta` | object | No | Integration metadata |

| `company_namespace` | array | No | Company namespaces |

| `createdAt` | string | No | Creation timestamp |

| `updatedAt` | string | No | Last update timestamp |

| `__v` | number | No | Version number |

### BrandCreateBody

Body for creating a brand

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | Yes | Name of the brand |

| `local_name` | string | No | Localized name of the brand |

| `disabled` | boolean | No | Whether the brand is disabled |

| `integration_meta` | object | No | Integration metadata |

| `company_namespace` | array | No | Company namespaces |

### BrandCreateResult

Result of creating a brand

### BrandGetResult

Result of getting a brand

### BrandUpdateBody

Body for updating a brand

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | Name of the brand |

| `local_name` | string | No | Localized name of the brand |

| `disabled` | boolean | No | Whether the brand is disabled |

| `integration_meta` | object | No | Integration metadata |

| `company_namespace` | array | No | Company namespaces |

| `_id` | string | No | Unique identifier for the brand |

| `createdAt` | string | No | Creation timestamp |

| `updatedAt` | string | No | Last update timestamp |

| `__v` | number | No | Version number |

### BrandUpdateResult

Result of updating a brand

### BrandRemoveResult

Result of removing a brand

## TypeScript Usage

See [brand-examples.md](./brand-examples.md) for detailed TypeScript usage examples.
